/// <reference types="react" />
import type { ResponsiveProps } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/components/ItemsTable/utils";
export declare const ModelTableRow: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    skeleton?: boolean | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLTableRowElement>, HTMLTableRowElement>, {}>;
export declare const ModelNameLink: import("@emotion/styled").StyledComponent<import("../../core/components/Link").LinkProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ModelCell: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & ResponsiveProps, import("react").DetailedHTMLProps<import("react").TdHTMLAttributes<HTMLTableDataCellElement>, HTMLTableDataCellElement>, {}>;
export declare const ModelNameColumn: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & ResponsiveProps & import("react").ClassAttributes<HTMLTableColElement> & import("react").ColHTMLAttributes<HTMLTableColElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
